View Issue Details

IDProjectCategoryView StatusLast Update
0002395Industrial-Craft²general / otherpublic2018-07-14 17:06
ReporterQuantumStatementAssigned ToChocohead 
PrioritynormalSeverityminorReproducibilityalways
Status resolvedResolutionfixed 
Product Version 
Target VersionFixed in VersionBuilds for MC 1.12.x 
Summary0002395: Game crash with custom recipes
DescriptionGame crashes when I add custom recipes for machines
Possible reason - changes in recipe loading introduced in 2.8.91

*>>Register recipes earlier to try ensure IC2 loads before addons (Chocohead)*
Additional InformationIC2 version 2.8.91
Forge 14.23.4.2705
TagsNo tags attached.
Minecraft Version1.12.2

Activities

QuantumStatement

2018-07-06 14:57

reporter  

crash-blockcutter-recipe.txt (18,076 bytes)
---- Minecraft Crash Report ----
// I blame Feanturi, author of IndustrialCraft 2.

Time: 2018-07-06 17:22:51 MSK
Description: Initializing game

net.minecraftforge.fml.common.LoaderExceptionModCrash: Caught exception from IndustrialCraft 2 (ic2)
Caused by: ic2.core.util.Config$ParseException: Conflicting recipe at line 43 (forestry:logs.0@0 = forestry:planks.0@0*6 @hardness:1).
    at ic2.core.init.Rezepte.loadMachineRecipe(Rezepte.java:561)
    at ic2.core.init.Rezepte.lambda$loadMachineRecipe$4(Rezepte.java:501)
    at ic2.core.init.Rezepte.loadFailedRecipes(Rezepte.java:138)
    at ic2.core.IC2.modsLoaded(IC2.java:334)
    at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
    at sun.reflect.NativeMethodAccessorImpl.invoke(Unknown Source)
    at sun.reflect.DelegatingMethodAccessorImpl.invoke(Unknown Source)
    at java.lang.reflect.Method.invoke(Unknown Source)
    at net.minecraftforge.fml.common.FMLModContainer.handleModStateEvent(FMLModContainer.java:627)
    at sun.reflect.GeneratedMethodAccessor4.invoke(Unknown Source)
    at sun.reflect.DelegatingMethodAccessorImpl.invoke(Unknown Source)
    at java.lang.reflect.Method.invoke(Unknown Source)
    at com.google.common.eventbus.Subscriber.invokeSubscriberMethod(Subscriber.java:91)
    at com.google.common.eventbus.Subscriber$SynchronizedSubscriber.invokeSubscriberMethod(Subscriber.java:150)
    at com.google.common.eventbus.Subscriber$1.run(Subscriber.java:76)
    at com.google.common.util.concurrent.MoreExecutors$DirectExecutor.execute(MoreExecutors.java:399)
    at com.google.common.eventbus.Subscriber.dispatchEvent(Subscriber.java:71)
    at com.google.common.eventbus.Dispatcher$PerThreadQueuedDispatcher.dispatch(Dispatcher.java:116)
    at com.google.common.eventbus.EventBus.post(EventBus.java:217)
    at net.minecraftforge.fml.common.LoadController.sendEventToModContainer(LoadController.java:218)
    at net.minecraftforge.fml.common.LoadController.propogateStateMessage(LoadController.java:196)
    at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
    at sun.reflect.NativeMethodAccessorImpl.invoke(Unknown Source)
    at sun.reflect.DelegatingMethodAccessorImpl.invoke(Unknown Source)
    at java.lang.reflect.Method.invoke(Unknown Source)
    at com.google.common.eventbus.Subscriber.invokeSubscriberMethod(Subscriber.java:91)
    at com.google.common.eventbus.Subscriber$SynchronizedSubscriber.invokeSubscriberMethod(Subscriber.java:150)
    at com.google.common.eventbus.Subscriber$1.run(Subscriber.java:76)
    at com.google.common.util.concurrent.MoreExecutors$DirectExecutor.execute(MoreExecutors.java:399)
    at com.google.common.eventbus.Subscriber.dispatchEvent(Subscriber.java:71)
    at com.google.common.eventbus.Dispatcher$PerThreadQueuedDispatcher.dispatch(Dispatcher.java:116)
    at com.google.common.eventbus.EventBus.post(EventBus.java:217)
    at net.minecraftforge.fml.common.LoadController.distributeStateMessage(LoadController.java:135)
    at net.minecraftforge.fml.common.Loader.initializeMods(Loader.java:749)
    at net.minecraftforge.fml.client.FMLClientHandler.finishMinecraftLoading(FMLClientHandler.java:329)
    at net.minecraft.client.Minecraft.init(Minecraft.java:534)
    at net.minecraft.client.Minecraft.run(Minecraft.java:3926)
    at net.minecraft.client.main.Main.main(SourceFile:123)
    at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
    at sun.reflect.NativeMethodAccessorImpl.invoke(Unknown Source)
    at sun.reflect.DelegatingMethodAccessorImpl.invoke(Unknown Source)
    at java.lang.reflect.Method.invoke(Unknown Source)
    at net.minecraft.launchwrapper.Launch.launch(Launch.java:135)
    at net.minecraft.launchwrapper.Launch.main(Launch.java:28)


A detailed walkthrough of the error, its code path and all known details is as follows:
---------------------------------------------------------------------------------------

-- System Details --
  Minecraft Version: 1.12.2
  Operating System: Windows 10 (amd64) version 10.0
  Java Version: 1.8.0_171, Oracle Corporation
  Java VM Version: Java HotSpot(TM) 64-Bit Server VM (mixed mode), Oracle Corporation
  Memory: 195582360 bytes (186 MB) / 772231168 bytes (736 MB) up to 3207856128 bytes (3059 MB)
  JVM Flags: 3 total; -Xmn128M -Xmx3072M -XX:+UseConcMarkSweepGC
  IntCache: cache: 0, tcache: 0, allocated: 0, tallocated: 0
  FML: MCP 9.42 Powered by Forge 14.23.4.2705 Optifine OptiFine_1.12.2_HD_U_E1 49 mods loaded, 49 mods active
       States: 'U' = Unloaded 'L' = Loaded 'C' = Constructed 'H' = Pre-initialized 'I' = Initialized 'J' = Post-initialized 'A' = Available 'D' = Disabled 'E' = Errored
       
       | State  | ID                  | Version        | Source                                   | Signature                                |
       |:------ |:------------------- |:-------------- |:---------------------------------------- |:---------------------------------------- |
       | UCHIJ  | minecraft           | 1.12.2         | minecraft.jar                            | None                                     |
       | UCHIJ  | mcp                 | 9.42           | minecraft.jar                            | None                                     |
       | UCHIJ  | FML                 | 8.0.99.99      | forge-1.12.2-14.23.4.2705.jar            | e3c3d50c7c986df74c645c0ac54639741c90a557 |
       | UCHIJ  | forge               | 14.23.4.2705   | forge-1.12.2-14.23.4.2705.jar            | e3c3d50c7c986df74c645c0ac54639741c90a557 |
       | UCHIJ  | smoothfontcore      | 1.12.2-1.14    | minecraft.jar                            | None                                     |
       | UCHIJ  | foamfixcore         | 7.7.4          | minecraft.jar                            | None                                     |
       | UCHIJ  | smoothfont          | 1.12.2-1.15    | SmoothFont-1.12.2-1.15.jar               | None                                     |
       | UCHIJ  | quark               | r1.4-125       | Quark-r1.4-125.jar                       | None                                     |
       | UCHIJ  | autoreglib          | 1.3-18         | AutoRegLib-1.3-18.jar                    | None                                     |
       | UCHIJ  | B3M                 | 1.12.2-02      | B3M-1.12.2-02.jar                        | None                                     |
       | UCHIJ  | bdlib               | 1.14.3.12      | bdlib-1.14.3.12-mc1.12.2.jar             | None                                     |
       | UCHIJ  | bibliocraft         | 2.4.5          | BiblioCraft[v2.4.5][MC1.12.2].jar        | None                                     |
       | UCHIJ  | buildcraftlib       | 7.99.17        | buildcraft-7.99.17.jar                   | None                                     |
       | UCHIJ  | buildcraftcore      | 7.99.17        | buildcraft-7.99.17.jar                   | None                                     |
       | UCHIJ  | buildcraftbuilders  | 7.99.17        | buildcraft-7.99.17.jar                   | None                                     |
       | UCHIJ  | buildcraftenergy    | 7.99.17        | buildcraft-7.99.17.jar                   | None                                     |
       | UCHIJ  | buildcraftfactory   | 7.99.17        | buildcraft-7.99.17.jar                   | None                                     |
       | UCHIJ  | buildcraftrobotics  | 7.99.17        | buildcraft-7.99.17.jar                   | None                                     |
       | UCHIJ  | buildcrafttransport | 7.99.17        | buildcraft-7.99.17.jar                   | None                                     |
       | UCHIJ  | buildcraftsilicon   | 7.99.17        | buildcraft-7.99.17.jar                   | None                                     |
       | UCHIEE | ic2                 | 2.8.91-ex112   | industrialcraft-2-2.8.91-ex112.jar       | de041f9f6187debbc77034a344134053277aa3b0 |
       | UCHI   | crafttweaker        | 4.1.9          | CraftTweaker2-1.12-4.1.9.jar             | None                                     |
       | UCHI   | mtlib               | 3.0.5          | MTLib-3.0.5.jar                          | None                                     |
       | UCHI   | modtweaker          | 4.0.12         | modtweaker-4.0.12.jar                    | None                                     |
       | UCHI   | jei                 | 4.11.0.204     | jei_1.12.2-4.11.0.204.jar                | None                                     |
       | UCHI   | forestry            | 5.8.0.313      | forestry_1.12.2-5.8.0.313.jar            | None                                     |
       | UCHI   | buildcraftcompat    | 7.99.14        | buildcraft-compat-7.99.14.jar            | None                                     |
       | UCHI   | carryon             | 1.9            | CarryOn+MC1.12.2+v1.9.jar                | None                                     |
       | UCHI   | chopdownupdated     | 1.0.13         | ChopDown+Updated+(1.12.2+)-1.0.13.jar    | None                                     |
       | UCHI   | cofhworld           | 1.2.0          | CoFHWorld-1.12.2-1.2.0.5-universal.jar   | 8a6abf2cb9e141b866580d369ba6548732eff25f |
       | UCHI   | ctgui               | 1.0.0          | CraftTweaker2-1.12-4.1.9.jar             | None                                     |
       | UCHI   | crafttweakerjei     | 2.0.2          | CraftTweaker2-1.12-4.1.9.jar             | None                                     |
       | UCHI   | eggs                | 1.0            | EM3R50N-EatTheEggs-1.12-14.21.1.2387.jar | None                                     |
       | UCHI   | foamfix             | 0.9.9.1-1.12.2 | foamfix-0.9.9.1-1.12.2-anarchy.jar       | None                                     |
       | UCHI   | cfm                 | 5.1.0          | furniture-5.1.0-1.12.2.jar               | None                                     |
       | UCHI   | advgenerators       | 0.9.20.12      | generators-0.9.20.12-mc1.12.2.jar        | None                                     |
       | UCHI   | horseinfo           | 1.12-0         | HorseInfo-1.12-0.jar                     | None                                     |
       | UCHI   | mantle              | 1.12-1.3.2.24  | Mantle-1.12-1.3.2.24.jar                 | None                                     |
       | UCHI   | inspirations        | 1.12.2-0.2.0   | Inspirations-1.12.2-0.2.0.jar            | None                                     |
       | UCHI   | multimine           | 1.6.0          | MultiMine-1.12.2.jar                     | None                                     |
       | UCHI   | mw                  | 1.11.7.1       | mw-1.11.7.1_mc1.12.2.jar                 | None                                     |
       | UCHI   | notreepunching      | 1.4.5          | notreepunching-1.4.5.jar                 | None                                     |
       | UCHI   | placebo             | 1.4.0          | Placebo-1.12.2-1.4.0.jar                 | None                                     |
       | UCHI   | corerm              | 1.3.3          | RikMuldsCore_1.3.3.jar                   | None                                     |
       | UCHI   | snowvillage         | 1.12.2-1.0.0   | SnowVillage-1.12.2-1.0.0.jar             | None                                     |
       | UCHI   | camping             | 2.4.3          | TheCampingMod_2.4.3.jar                  | None                                     |
       | UCHI   | toastcontrol        | 1.7.0          | Toast+Control-1.12.2-1.7.0.jar           | None                                     |
       | UCHI   | tombstone           | 2.9.9          | tombstone-2.9.9-1.12.jar                 | None                                     |
       | UCHI   | vanillafix          | 1.0.9-97       | VanillaFix-1.0.9-97.jar                  | None                                     |
  Loaded coremods (and transformers): LoadingPlugin (Quark-r1.4-125.jar)
                                        vazkii.quark.base.asm.ClassTransformer
                                      MMFMLCorePlugin (MultiMine-1.12.2.jar)
                                        atomicstryker.multimine.common.fmlmagic.MMTransformer
                                      weaponlib (mw-1.11.7.1_mc1.12.2.jar)
                                        com.vicmatskiv.weaponlib.core.WeaponlibClassTransformer
                                      VanillaFixLoadingPlugin (VanillaFix-1.0.9-97.jar)
                                        
                                      Do not report to Forge! Remove FoamFixAPI (or replace with FoamFixAPI-Lawful) and try again. (foamfix-0.9.9.1-1.12.2-anarchy.jar)
                                        pl.asie.foamfix.coremod.FoamFixTransformer
                                      B3M_CorePlugin (B3M-1.12.2-02.jar)
                                        sedridor.B3M.core.B3M_Transformer
                                      CorePlugin (SmoothFont-1.12.2-1.15.jar)
                                        bre.smoothfont.asm.Transformer
  GL info: ' Vendor: 'ATI Technologies Inc.' Version: '4.5.13417 Compatibility Profile Context 15.301.1901.0' Renderer: 'AMD Radeon HD 7600M Series'
  Pulsar/inspirations loaded Pulses: - InspirationsShared (Enabled/Forced)
                                     - InspirationsBuilding (Enabled/Not Forced)
                                     - InspirationsUtility (Enabled/Not Forced)
                                     - InspirationsShared (Enabled/Forced)
  List of loaded APIs: * BetterWithModsAPI (Beta 0.6) from Quark-r1.4-125.jar
                       * BuildCraftAPI|blocks (1.0) from buildcraft-7.99.17.jar
                       * BuildCraftAPI|boards (2.0) from buildcraft-7.99.17.jar
                       * BuildCraftAPI|core (2.2) from buildcraft-7.99.17.jar
                       * BuildCraftAPI|crops (1.1) from buildcraft-7.99.17.jar
                       * BuildCraftAPI|enums (1.0) from buildcraft-7.99.17.jar
                       * BuildCraftAPI|events (2.0) from buildcraft-7.99.17.jar
                       * BuildCraftAPI|facades (1.1) from buildcraft-7.99.17.jar
                       * BuildCraftAPI|filler (5.0) from buildcraft-7.99.17.jar
                       * BuildCraftAPI|fuels (2.0) from buildcraft-7.99.17.jar
                       * BuildCraftAPI|gates (4.1) from buildcraft-7.99.17.jar
                       * BuildCraftAPI|items (1.1) from buildcraft-7.99.17.jar
                       * BuildCraftAPI|library (2.0) from buildcraft-7.99.17.jar
                       * BuildCraftAPI|lists (1.0) from buildcraft-7.99.17.jar
                       * BuildCraftAPI|power (1.3) from buildcraft-7.99.17.jar
                       * BuildCraftAPI|recipes (3.0) from buildcraft-7.99.17.jar
                       * BuildCraftAPI|robotics (3.0) from buildcraft-7.99.17.jar
                       * BuildCraftAPI|statements (1.1) from buildcraft-7.99.17.jar
                       * BuildCraftAPI|tiles (1.2) from buildcraft-7.99.17.jar
                       * BuildCraftAPI|tools (1.0) from buildcraft-7.99.17.jar
                       * BuildCraftAPI|transport (5.0) from buildcraft-7.99.17.jar
                       * ForestryAPI|apiculture (5.0.0) from forestry_1.12.2-5.8.0.313.jar
                       * ForestryAPI|arboriculture (4.3.0) from forestry_1.12.2-5.8.0.313.jar
                       * ForestryAPI|book (5.8.1) from forestry_1.12.2-5.8.0.313.jar
                       * ForestryAPI|circuits (3.1.0) from forestry_1.12.2-5.8.0.313.jar
                       * ForestryAPI|climate (5.0.0) from forestry_1.12.2-5.8.0.313.jar
                       * ForestryAPI|core (5.7.0) from forestry_1.12.2-5.8.0.313.jar
                       * ForestryAPI|farming (5.8.0) from forestry_1.12.2-5.8.0.313.jar
                       * ForestryAPI|food (1.1.0) from forestry_1.12.2-5.8.0.313.jar
                       * ForestryAPI|fuels (3.0.0) from forestry_1.12.2-5.8.0.313.jar
                       * ForestryAPI|genetics (5.7.0) from forestry_1.12.2-5.8.0.313.jar
                       * ForestryAPI|greenhouse (5.2.0) from forestry_1.12.2-5.8.0.313.jar
                       * ForestryAPI|gui (5.8.0) from forestry_1.12.2-5.8.0.313.jar
                       * ForestryAPI|hives (4.1.0) from forestry_1.12.2-5.8.0.313.jar
                       * ForestryAPI|lepidopterology (1.4.0) from forestry_1.12.2-5.8.0.313.jar
                       * ForestryAPI|mail (3.1.0) from forestry_1.12.2-5.8.0.313.jar
                       * ForestryAPI|modules (5.7.0) from forestry_1.12.2-5.8.0.313.jar
                       * ForestryAPI|multiblock (3.0.0) from forestry_1.12.2-5.8.0.313.jar
                       * ForestryAPI|recipes (5.4.0) from forestry_1.12.2-5.8.0.313.jar
                       * ForestryAPI|storage (5.0.0) from forestry_1.12.2-5.8.0.313.jar
                       * ForestryAPI|world (2.1.0) from forestry_1.12.2-5.8.0.313.jar
                       * JustEnoughItemsAPI (4.13.0) from jei_1.12.2-4.11.0.204.jar
                       * QuarkAPI (2) from Quark-r1.4-125.jar
  Suspected Mods: IndustrialCraft 2 (ic2)
  Launched Version: Homeless Adventures
  LWJGL: 2.9.4
  OpenGL: AMD Radeon HD 7600M Series GL version 4.5.13417 Compatibility Profile Context 15.301.1901.0, ATI Technologies Inc.
  GL Caps: Using GL 1.3 multitexturing.
           Using GL 1.3 texture combiners.
           Using framebuffer objects because OpenGL 3.0 is supported and separate blending is supported.
           Shaders are available because OpenGL 2.1 is supported.
           VBOs are available because OpenGL 1.5 is supported.
  Using VBOs: Yes
  Is Modded: Definitely; Client brand changed to 'fml,forge'
  Type: Client (map_client.txt)
  Resource Packs: modrulang.zip
  Current Language: Русский (Россия)
  Profiler Position: N/A (disabled)
  CPU: 8x Intel(R) Core(TM) i7-3630QM CPU @ 2.40GHz
crash-compressor-recipe.txt (18,871 bytes)
---- Minecraft Crash Report ----
// I blame Chocohead, author of IndustrialCraft 2.

Time: 2018-07-06 17:13:21 MSK
Description: Initializing game

net.minecraftforge.fml.common.LoaderExceptionModCrash: Caught exception from IndustrialCraft 2 (ic2)
Caused by: ic2.core.util.Config$ParseException: generic parse error at line 141 (Fluid:ic2pahoehoe_lava = ic2:resource).
    at ic2.core.init.Rezepte.loadMachineRecipe(Rezepte.java:566)
    at ic2.core.init.Rezepte.loadMachineRecipes(Rezepte.java:473)
    at ic2.core.init.Rezepte.loadRecipes(Rezepte.java:121)
    at ic2.core.init.Rezepte.registerRecipes(Rezepte.java:745)
    at ic2.core.IC2.load(IC2.java:238)
    at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
    at sun.reflect.NativeMethodAccessorImpl.invoke(Unknown Source)
    at sun.reflect.DelegatingMethodAccessorImpl.invoke(Unknown Source)
    at java.lang.reflect.Method.invoke(Unknown Source)
    at net.minecraftforge.fml.common.FMLModContainer.handleModStateEvent(FMLModContainer.java:627)
    at sun.reflect.GeneratedMethodAccessor4.invoke(Unknown Source)
    at sun.reflect.DelegatingMethodAccessorImpl.invoke(Unknown Source)
    at java.lang.reflect.Method.invoke(Unknown Source)
    at com.google.common.eventbus.Subscriber.invokeSubscriberMethod(Subscriber.java:91)
    at com.google.common.eventbus.Subscriber$SynchronizedSubscriber.invokeSubscriberMethod(Subscriber.java:150)
    at com.google.common.eventbus.Subscriber$1.run(Subscriber.java:76)
    at com.google.common.util.concurrent.MoreExecutors$DirectExecutor.execute(MoreExecutors.java:399)
    at com.google.common.eventbus.Subscriber.dispatchEvent(Subscriber.java:71)
    at com.google.common.eventbus.Dispatcher$PerThreadQueuedDispatcher.dispatch(Dispatcher.java:116)
    at com.google.common.eventbus.EventBus.post(EventBus.java:217)
    at net.minecraftforge.fml.common.LoadController.sendEventToModContainer(LoadController.java:218)
    at net.minecraftforge.fml.common.LoadController.propogateStateMessage(LoadController.java:196)
    at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
    at sun.reflect.NativeMethodAccessorImpl.invoke(Unknown Source)
    at sun.reflect.DelegatingMethodAccessorImpl.invoke(Unknown Source)
    at java.lang.reflect.Method.invoke(Unknown Source)
    at com.google.common.eventbus.Subscriber.invokeSubscriberMethod(Subscriber.java:91)
    at com.google.common.eventbus.Subscriber$SynchronizedSubscriber.invokeSubscriberMethod(Subscriber.java:150)
    at com.google.common.eventbus.Subscriber$1.run(Subscriber.java:76)
    at com.google.common.util.concurrent.MoreExecutors$DirectExecutor.execute(MoreExecutors.java:399)
    at com.google.common.eventbus.Subscriber.dispatchEvent(Subscriber.java:71)
    at com.google.common.eventbus.Dispatcher$PerThreadQueuedDispatcher.dispatch(Dispatcher.java:116)
    at com.google.common.eventbus.EventBus.post(EventBus.java:217)
    at net.minecraftforge.fml.common.LoadController.distributeStateMessage(LoadController.java:135)
    at net.minecraftforge.fml.common.Loader.preinitializeMods(Loader.java:627)
    at net.minecraftforge.fml.client.FMLClientHandler.beginMinecraftLoading(FMLClientHandler.java:245)
    at net.minecraft.client.Minecraft.init(Minecraft.java:466)
    at net.minecraft.client.Minecraft.run(Minecraft.java:3926)
    at net.minecraft.client.main.Main.main(SourceFile:123)
    at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
    at sun.reflect.NativeMethodAccessorImpl.invoke(Unknown Source)
    at sun.reflect.DelegatingMethodAccessorImpl.invoke(Unknown Source)
    at java.lang.reflect.Method.invoke(Unknown Source)
    at net.minecraft.launchwrapper.Launch.launch(Launch.java:135)
    at net.minecraft.launchwrapper.Launch.main(Launch.java:28)
Caused by: java.lang.NullPointerException
    at net.minecraftforge.fluids.FluidUtil.getFilledBucket(FluidUtil.java:747)
    at net.minecraftforge.fluids.capability.wrappers.FluidBucketWrapper.setFluid(FluidBucketWrapper.java:111)
    at net.minecraftforge.fluids.capability.wrappers.FluidBucketWrapper.fill(FluidBucketWrapper.java:130)
    at ic2.core.recipe.RecipeInputFluidContainer.getFluidContainer(RecipeInputFluidContainer.java:106)
    at ic2.core.recipe.RecipeInputFluidContainer.getInputs(RecipeInputFluidContainer.java:50)
    at ic2.core.recipe.BasicMachineRecipeManager.addRecipe(BasicMachineRecipeManager.java:76)
    at ic2.core.recipe.BasicMachineRecipeManager.addRecipe(BasicMachineRecipeManager.java:22)
    at ic2.core.init.Rezepte.loadMachineRecipe(Rezepte.java:558)
    ... 44 more


A detailed walkthrough of the error, its code path and all known details is as follows:
---------------------------------------------------------------------------------------

-- System Details --
  Minecraft Version: 1.12.2
  Operating System: Windows 10 (amd64) version 10.0
  Java Version: 1.8.0_171, Oracle Corporation
  Java VM Version: Java HotSpot(TM) 64-Bit Server VM (mixed mode), Oracle Corporation
  Memory: 315705152 bytes (301 MB) / 718143488 bytes (684 MB) up to 3207856128 bytes (3059 MB)
  JVM Flags: 3 total; -Xmn128M -Xmx3072M -XX:+UseConcMarkSweepGC
  IntCache: cache: 0, tcache: 0, allocated: 0, tallocated: 0
  FML: MCP 9.42 Powered by Forge 14.23.4.2705 Optifine OptiFine_1.12.2_HD_U_E1 49 mods loaded, 49 mods active
       States: 'U' = Unloaded 'L' = Loaded 'C' = Constructed 'H' = Pre-initialized 'I' = Initialized 'J' = Post-initialized 'A' = Available 'D' = Disabled 'E' = Errored
       
       | State | ID                  | Version        | Source                                   | Signature                                |
       |:----- |:------------------- |:-------------- |:---------------------------------------- |:---------------------------------------- |
       | UCH   | minecraft           | 1.12.2         | minecraft.jar                            | None                                     |
       | UCH   | mcp                 | 9.42           | minecraft.jar                            | None                                     |
       | UCH   | FML                 | 8.0.99.99      | forge-1.12.2-14.23.4.2705.jar            | e3c3d50c7c986df74c645c0ac54639741c90a557 |
       | UCH   | forge               | 14.23.4.2705   | forge-1.12.2-14.23.4.2705.jar            | e3c3d50c7c986df74c645c0ac54639741c90a557 |
       | UCH   | smoothfontcore      | 1.12.2-1.14    | minecraft.jar                            | None                                     |
       | UCH   | foamfixcore         | 7.7.4          | minecraft.jar                            | None                                     |
       | UCH   | smoothfont          | 1.12.2-1.15    | SmoothFont-1.12.2-1.15.jar               | None                                     |
       | UCH   | quark               | r1.4-125       | Quark-r1.4-125.jar                       | None                                     |
       | UCH   | autoreglib          | 1.3-18         | AutoRegLib-1.3-18.jar                    | None                                     |
       | UCH   | B3M                 | 1.12.2-02      | B3M-1.12.2-02.jar                        | None                                     |
       | UCH   | bdlib               | 1.14.3.12      | bdlib-1.14.3.12-mc1.12.2.jar             | None                                     |
       | UCH   | bibliocraft         | 2.4.5          | BiblioCraft[v2.4.5][MC1.12.2].jar        | None                                     |
       | UCH   | buildcraftlib       | 7.99.17        | buildcraft-7.99.17.jar                   | None                                     |
       | UCH   | buildcraftcore      | 7.99.17        | buildcraft-7.99.17.jar                   | None                                     |
       | UCH   | buildcraftbuilders  | 7.99.17        | buildcraft-7.99.17.jar                   | None                                     |
       | UCH   | buildcraftenergy    | 7.99.17        | buildcraft-7.99.17.jar                   | None                                     |
       | UCH   | buildcraftfactory   | 7.99.17        | buildcraft-7.99.17.jar                   | None                                     |
       | UCH   | buildcraftrobotics  | 7.99.17        | buildcraft-7.99.17.jar                   | None                                     |
       | UCH   | buildcrafttransport | 7.99.17        | buildcraft-7.99.17.jar                   | None                                     |
       | UCH   | buildcraftsilicon   | 7.99.17        | buildcraft-7.99.17.jar                   | None                                     |
       | UCEE  | ic2                 | 2.8.91-ex112   | industrialcraft-2-2.8.91-ex112.jar       | de041f9f6187debbc77034a344134053277aa3b0 |
       | UC    | crafttweaker        | 4.1.9          | CraftTweaker2-1.12-4.1.9.jar             | None                                     |
       | UC    | mtlib               | 3.0.5          | MTLib-3.0.5.jar                          | None                                     |
       | UC    | modtweaker          | 4.0.12         | modtweaker-4.0.12.jar                    | None                                     |
       | UC    | jei                 | 4.11.0.204     | jei_1.12.2-4.11.0.204.jar                | None                                     |
       | UC    | forestry            | 5.8.0.313      | forestry_1.12.2-5.8.0.313.jar            | None                                     |
       | UC    | buildcraftcompat    | 7.99.14        | buildcraft-compat-7.99.14.jar            | None                                     |
       | UC    | carryon             | 1.9            | CarryOn+MC1.12.2+v1.9.jar                | None                                     |
       | UC    | chopdownupdated     | 1.0.13         | ChopDown+Updated+(1.12.2+)-1.0.13.jar    | None                                     |
       | UC    | cofhworld           | 1.2.0          | CoFHWorld-1.12.2-1.2.0.5-universal.jar   | 8a6abf2cb9e141b866580d369ba6548732eff25f |
       | UC    | ctgui               | 1.0.0          | CraftTweaker2-1.12-4.1.9.jar             | None                                     |
       | UC    | crafttweakerjei     | 2.0.2          | CraftTweaker2-1.12-4.1.9.jar             | None                                     |
       | UC    | eggs                | 1.0            | EM3R50N-EatTheEggs-1.12-14.21.1.2387.jar | None                                     |
       | UC    | foamfix             | 0.9.9.1-1.12.2 | foamfix-0.9.9.1-1.12.2-anarchy.jar       | None                                     |
       | UC    | cfm                 | 5.1.0          | furniture-5.1.0-1.12.2.jar               | None                                     |
       | UC    | advgenerators       | 0.9.20.12      | generators-0.9.20.12-mc1.12.2.jar        | None                                     |
       | UC    | horseinfo           | 1.12-0         | HorseInfo-1.12-0.jar                     | None                                     |
       | UC    | mantle              | 1.12-1.3.2.24  | Mantle-1.12-1.3.2.24.jar                 | None                                     |
       | UC    | inspirations        | 1.12.2-0.2.0   | Inspirations-1.12.2-0.2.0.jar            | None                                     |
       | UC    | multimine           | 1.6.0          | MultiMine-1.12.2.jar                     | None                                     |
       | UC    | mw                  | 1.11.7.1       | mw-1.11.7.1_mc1.12.2.jar                 | None                                     |
       | UC    | notreepunching      | 1.4.5          | notreepunching-1.4.5.jar                 | None                                     |
       | UC    | placebo             | 1.4.0          | Placebo-1.12.2-1.4.0.jar                 | None                                     |
       | UC    | corerm              | 1.3.3          | RikMuldsCore_1.3.3.jar                   | None                                     |
       | UC    | snowvillage         | 1.12.2-1.0.0   | SnowVillage-1.12.2-1.0.0.jar             | None                                     |
       | UC    | camping             | 2.4.3          | TheCampingMod_2.4.3.jar                  | None                                     |
       | UC    | toastcontrol        | 1.7.0          | Toast+Control-1.12.2-1.7.0.jar           | None                                     |
       | UC    | tombstone           | 2.9.9          | tombstone-2.9.9-1.12.jar                 | None                                     |
       | UC    | vanillafix          | 1.0.9-97       | VanillaFix-1.0.9-97.jar                  | None                                     |
  Loaded coremods (and transformers): LoadingPlugin (Quark-r1.4-125.jar)
                                        vazkii.quark.base.asm.ClassTransformer
                                      MMFMLCorePlugin (MultiMine-1.12.2.jar)
                                        atomicstryker.multimine.common.fmlmagic.MMTransformer
                                      weaponlib (mw-1.11.7.1_mc1.12.2.jar)
                                        com.vicmatskiv.weaponlib.core.WeaponlibClassTransformer
                                      VanillaFixLoadingPlugin (VanillaFix-1.0.9-97.jar)
                                        
                                      Do not report to Forge! Remove FoamFixAPI (or replace with FoamFixAPI-Lawful) and try again. (foamfix-0.9.9.1-1.12.2-anarchy.jar)
                                        pl.asie.foamfix.coremod.FoamFixTransformer
                                      B3M_CorePlugin (B3M-1.12.2-02.jar)
                                        sedridor.B3M.core.B3M_Transformer
                                      CorePlugin (SmoothFont-1.12.2-1.15.jar)
                                        bre.smoothfont.asm.Transformer
  GL info: ' Vendor: 'ATI Technologies Inc.' Version: '4.5.13417 Compatibility Profile Context 15.301.1901.0' Renderer: 'AMD Radeon HD 7600M Series'
  Pulsar/inspirations loaded Pulses: - InspirationsShared (Enabled/Forced)
                                     - InspirationsBuilding (Enabled/Not Forced)
                                     - InspirationsUtility (Enabled/Not Forced)
                                     - InspirationsShared (Enabled/Forced)
  List of loaded APIs: * BetterWithModsAPI (Beta 0.6) from Quark-r1.4-125.jar
                       * BuildCraftAPI|blocks (1.0) from buildcraft-7.99.17.jar
                       * BuildCraftAPI|boards (2.0) from buildcraft-7.99.17.jar
                       * BuildCraftAPI|core (2.2) from buildcraft-7.99.17.jar
                       * BuildCraftAPI|crops (1.1) from buildcraft-7.99.17.jar
                       * BuildCraftAPI|enums (1.0) from buildcraft-7.99.17.jar
                       * BuildCraftAPI|events (2.0) from buildcraft-7.99.17.jar
                       * BuildCraftAPI|facades (1.1) from buildcraft-7.99.17.jar
                       * BuildCraftAPI|filler (5.0) from buildcraft-7.99.17.jar
                       * BuildCraftAPI|fuels (2.0) from buildcraft-7.99.17.jar
                       * BuildCraftAPI|gates (4.1) from buildcraft-7.99.17.jar
                       * BuildCraftAPI|items (1.1) from buildcraft-7.99.17.jar
                       * BuildCraftAPI|library (2.0) from buildcraft-7.99.17.jar
                       * BuildCraftAPI|lists (1.0) from buildcraft-7.99.17.jar
                       * BuildCraftAPI|power (1.3) from buildcraft-7.99.17.jar
                       * BuildCraftAPI|recipes (3.0) from buildcraft-7.99.17.jar
                       * BuildCraftAPI|robotics (3.0) from buildcraft-7.99.17.jar
                       * BuildCraftAPI|statements (1.1) from buildcraft-7.99.17.jar
                       * BuildCraftAPI|tiles (1.2) from buildcraft-7.99.17.jar
                       * BuildCraftAPI|tools (1.0) from buildcraft-7.99.17.jar
                       * BuildCraftAPI|transport (5.0) from buildcraft-7.99.17.jar
                       * ForestryAPI|apiculture (5.0.0) from forestry_1.12.2-5.8.0.313.jar
                       * ForestryAPI|arboriculture (4.3.0) from forestry_1.12.2-5.8.0.313.jar
                       * ForestryAPI|book (5.8.1) from forestry_1.12.2-5.8.0.313.jar
                       * ForestryAPI|circuits (3.1.0) from forestry_1.12.2-5.8.0.313.jar
                       * ForestryAPI|climate (5.0.0) from forestry_1.12.2-5.8.0.313.jar
                       * ForestryAPI|core (5.7.0) from forestry_1.12.2-5.8.0.313.jar
                       * ForestryAPI|farming (5.8.0) from forestry_1.12.2-5.8.0.313.jar
                       * ForestryAPI|food (1.1.0) from forestry_1.12.2-5.8.0.313.jar
                       * ForestryAPI|fuels (3.0.0) from forestry_1.12.2-5.8.0.313.jar
                       * ForestryAPI|genetics (5.7.0) from forestry_1.12.2-5.8.0.313.jar
                       * ForestryAPI|greenhouse (5.2.0) from forestry_1.12.2-5.8.0.313.jar
                       * ForestryAPI|gui (5.8.0) from forestry_1.12.2-5.8.0.313.jar
                       * ForestryAPI|hives (4.1.0) from forestry_1.12.2-5.8.0.313.jar
                       * ForestryAPI|lepidopterology (1.4.0) from forestry_1.12.2-5.8.0.313.jar
                       * ForestryAPI|mail (3.1.0) from forestry_1.12.2-5.8.0.313.jar
                       * ForestryAPI|modules (5.7.0) from forestry_1.12.2-5.8.0.313.jar
                       * ForestryAPI|multiblock (3.0.0) from forestry_1.12.2-5.8.0.313.jar
                       * ForestryAPI|recipes (5.4.0) from forestry_1.12.2-5.8.0.313.jar
                       * ForestryAPI|storage (5.0.0) from forestry_1.12.2-5.8.0.313.jar
                       * ForestryAPI|world (2.1.0) from forestry_1.12.2-5.8.0.313.jar
                       * JustEnoughItemsAPI (4.13.0) from jei_1.12.2-4.11.0.204.jar
                       * QuarkAPI (2) from Quark-r1.4-125.jar
  Suspected Mods: IndustrialCraft 2 (ic2)
  Launched Version: Homeless Adventures
  LWJGL: 2.9.4
  OpenGL: AMD Radeon HD 7600M Series GL version 4.5.13417 Compatibility Profile Context 15.301.1901.0, ATI Technologies Inc.
  GL Caps: Using GL 1.3 multitexturing.
           Using GL 1.3 texture combiners.
           Using framebuffer objects because OpenGL 3.0 is supported and separate blending is supported.
           Shaders are available because OpenGL 2.1 is supported.
           VBOs are available because OpenGL 1.5 is supported.
  Using VBOs: Yes
  Is Modded: Definitely; Client brand changed to 'fml,forge'
  Type: Client (map_client.txt)
  Resource Packs: modrulang.zip
  Current Language: Русский (Россия)
  Profiler Position: N/A (disabled)
  CPU: 8x Intel(R) Core(TM) i7-3630QM CPU @ 2.40GHz

Chocohead

2018-07-09 20:39

developer   ~0005733

The first crash will be fixed in IC2 2.8.92. The second will probably need the whole blockcutting recipe ini to see what is conflicting

QuantumStatement

2018-07-10 07:43

reporter  

block_cutter.ini (6,878 bytes)

QuantumStatement

2018-07-14 11:15

reporter   ~0005739

Crash was fixed by commenting this block cutter recipe:
OreDict:logWood = minecraft:planks*6 @hardness:1

Chocohead

2018-07-14 17:01

developer   ~0005742

Last edited: 2018-07-14 17:06

View 2 revisions

That makes sense, from loading earlier the ore dictionary recipe is added before the Forestry items have loaded, thus they then conflict. It is fixed in IC2 2.8.93, so long as you update your unmodified parts to account for the changes.

Issue History

Date Modified Username Field Change
2018-07-06 14:57 QuantumStatement New Issue
2018-07-06 14:57 QuantumStatement File Added: crash-blockcutter-recipe.txt
2018-07-06 14:57 QuantumStatement File Added: crash-compressor-recipe.txt
2018-07-07 02:23 Chocohead Assigned To => Chocohead
2018-07-07 02:23 Chocohead Status new => assigned
2018-07-09 20:39 Chocohead Status assigned => feedback
2018-07-09 20:39 Chocohead Note Added: 0005733
2018-07-10 07:43 QuantumStatement File Added: block_cutter.ini
2018-07-14 11:15 QuantumStatement Note Added: 0005739
2018-07-14 11:15 QuantumStatement Status feedback => assigned
2018-07-14 17:01 Chocohead Status assigned => resolved
2018-07-14 17:01 Chocohead Resolution open => fixed
2018-07-14 17:01 Chocohead Fixed in Version => Builds for MC 1.12.x
2018-07-14 17:01 Chocohead Note Added: 0005742
2018-07-14 17:06 Chocohead Note Edited: 0005742 View Revisions